Language: Cpp
BasedOnStyle:  LLVM

ColumnLimit: 120
IndentWidth: 4
UseTab: Never
MaxEmptyLinesToKeep: 1

AlignConsecutiveAssignments: true
AlignConsecutiveBitFields: true
AlignConsecutiveDeclarations: true
AlignConsecutiveMacros: true
IndentPPDirectives: AfterHash

AllowShortIfStatementsOnASingleLine: true
AllowShortLoopsOnASingleLine: false
AllowShortFunctionsOnASingleLine : Inline

BinPackArguments: true
BinPackParameters: false

BreakBeforeBraces: Custom
BraceWrapping:
  AfterControlStatement: MultiLine
  AfterFunction: false
  SplitEmptyFunction: false

PenaltyReturnTypeOnItsOwnLine: 100
PointerAlignment: Left
ReflowComments: true
SortIncludes: false
SpaceAfterCStyleCast: true
SpacesBeforeTrailingComments: 2
